- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Attributes | List of all members
tbb::blocked_range3d< PageValue, RowValue, ColValue > Class Template Reference
Algorithms

A 3-dimensional range that models the Range concept. More...

`#include <blocked_range3d.h>`

## Public Types
typedef blocked_range< PageValue > | page_range_type
| Type for size of an iteration range.
typedef blocked_range< RowValue > | row_range_type
typedef blocked_range< ColValue > | col_range_type

## Public Member Functions
| blocked_range3d (PageValue page_begin, PageValue page_end, RowValue row_begin, RowValue row_end, ColValue col_begin, ColValue col_end)
| blocked_range3d (PageValue page_begin, PageValue page_end, typename page_range_type::size_type page_grainsize, RowValue row_begin, RowValue row_end, typename row_range_type::size_type row_grainsize, ColValue col_begin, ColValue col_end, typename col_range_type::size_type col_grainsize)
bool | empty () const
| True if range is empty.
bool | is_divisible () const
| True if range is divisible into two pieces.
| blocked_range3d (blocked_range3d &r, split)
| blocked_range3d (blocked_range3d &r, proportional_split &proportion)
template<typename Split >
void | do_split (blocked_range3d &r, Split &split_obj)
const page_range_type & | pages () const
| The pages of the iteration space.
const row_range_type & | rows () const
| The rows of the iteration space.
const col_range_type & | cols () const
| The columns of the iteration space.

## Static Public Attributes
static const bool | is_splittable_in_proportion = true
| Static field to support proportional split.

## Detailed Description

### template<typename PageValue, typename RowValue = PageValue, typename ColValue = RowValue>
class tbb::blocked_range3d< PageValue, RowValue, ColValue >

A 3-dimensional range that models the Range concept.

The documentation for this class was generated from the following file:

- blocked_range3d.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.